Bug 164819 - [RHEL3U6] diskdump - scsi dump fails with module CRC error
Summary: [RHEL3U6] diskdump - scsi dump fails with module CRC error
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobuhiro Tachino
QA Contact:
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 156321
TreeView+ depends on / blocked
 
Reported: 2005-08-01 16:39 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
9 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 15:29:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.4.21-diskdump-scsi-crcfix.patch (1.36 KB, patch)
2005-08-08 19:24 UTC, Nobuhiro Tachino
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Issue Tracker 2005-08-01 16:39:23 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 JoAnne K. Halligan 2005-08-01 16:40:55 UTC
 1. Summary:

Since RHEL3-U6-re0729 iso, diskdump allways fails to save a crash dump.

2. Version-Release of Selected Component:

kernel-2.4.21-33.EL

3. Target Releases:

 Red Hat Enterprise Linux 3 Update 2

4. Drivers or hardware dependency:

Every SCSI adapters which have diskdump supported except CCISS adapter.
Not dependent on architecture

5. Target Kernel:

kernel-2.4.21-33.EL

6. Target Component:

  kernel

7. Description of Problem:

The saving dump procudure terminates with the following message.

scsi_dump: checksum error. scsi dump module may be compromised.

8. How reproducible:

   Every Time

9. Step to Reproduce:

1) Set up diskdump The diskdump partition must be on any SCSI adapter which supports
   diskdump.  

2) Trigger panic by Alt-Sysrq-C or echo c > /proc/sysrq-trigger

10. Actual results:

The saving dump procudure terminates with the following message.

scsi_dump: checksum error. scsi dump module may be compromised.

11. Expected results:

Crash dump succeeds without any error.

12. Additional info:

This bug was caused by CCISS diskdump support feature which was created by HP and
posted by Tom Coughlan. Actually CCISS diskdump code has no problem. The problem
exists in diskdump common codes and it appear only if multiple submobules are
loaded.
Before RHEL3U6 re0729, The existing submodules was scsi_dump only. With re0729,
ccsiss diskdump submodules was introduced and it triggered this bug.

This is very severe bug for the existing diskdump user because diskdump always
fails completely.

13. Severity:

   High

14. Other:

   None.
 
Regards,
Nobuhiro Tachino

Comment 2 Nobuhiro Tachino 2005-08-08 19:24:55 UTC
Created attachment 117553 [details]
linux-2.4.21-diskdump-scsi-crcfix.patch

This patch fixes the problem. The patch was tested on our ia64 and i386
machines and x86_64 machine in Westford lab.

Comment 3 Nobuhiro Tachino 2005-08-09 15:24:28 UTC
Would any Redhat people please put this BZ to the proposed list? This is a
regression bug. Without fixing this, diskdump is almost dead on RHEL3U6 GA.



Comment 4 Ernie Petrides 2005-08-11 21:54:32 UTC
Changing severity to "regression", adding appropriate management to cc: list,
and putting this on RHEL3 U6 Proposed list.

Comment 6 Nobuhiro Tachino 2005-08-16 14:41:07 UTC
The patch was posted to rhkernel-list on Aug 16.


Comment 7 Ernie Petrides 2005-08-19 22:02:58 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-35.EL).


Comment 8 Nobuhiro Tachino 2005-08-19 22:52:58 UTC
I confirmed the bug is fixed on 2.4.21-35.EL and diskdump works on
hammer1.lab.boston.

Comment 10 Nobuhiro Tachino 2005-09-06 18:54:00 UTC
I confirmed the bug is fixed on re0902 iso.



Comment 12 Red Hat Bugzilla 2005-09-28 15:29:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.